Monday, March 22, 2010

SLI Profile Updater - Updated!

With the release of the NV 197.15 driver, I figured it was time for another update. I grabbed the SLI Profiles and have updated the 'modded' batch updater. Again, this is to be used if you are having issues with enabling SLI on newer game releases with your current driver.

197.15 SLI profile changes include:
Adds SLI and multi-GPU support for top new gaming titles including Assassin Creed II, Battlefield: Bad Company 2, Command and Conquer 4: Tiberium Twilight, Grand Theft Auto IV: Episodes from Liberty City, Mass Effect 2, Napoleon: Total War, and Zombie Driver.

Enhanced SLI support for Metro 2033, Supreme Commander 2, Unigine, and World of Warcraft.

Adds Ambient Occlusion support for Call of Juarez: Bound in Blood, Need for Speed: Shift, Resident Evil 5, RUSE, and Street Fighter IV.

Adds override anti-aliasing support for Mass Effect 2.

You can grab the update HERE.

Be sure to read the IMPORTANT - README file for notes. See the added note in the README if you are on W7.

9 comments:

hazardic said...

btw, what driver do u use with metro? just curios - because when i first launched metro it said i must have 19*.** driver otherwise game will be unstable, and in intro it crashed. well i'm happy with my 186.77 and don't wonna install crappy 19**..

M said...

Since I do not have Metro 2033 and there is no beta (blast these game devs for that), I cannot test.

Try applying the SLI profile update and see if that will let you run it.

If not, PM me and we'll sort it out with a specific modded driver .INF which will change the version of your current driver to match the Metro specs. ;)

-BB

hazardic said...

nope it did't help. as a relult it messed up my drivers and only some games now start. dunno why this happened because all your previous updates worked fine. anyway, driver reinstalled and now all good as usual. maybe metro can't work with 18*.**?.. who knows.. using nhanser did't help btw..

M said...

Not sure why a game wouldn't start due to an SLI profile update. I would suggest giving it one more try - perhaps something went south with the driver. Never had other games fail - which ones would not start after the SLI profile update?

-BB

hazardic said...

well - q3a, nfs shift, fo3, arma2 and avp2010 - all who use sli. but grid, burnout paradise, dirt 2, doom 3, gtr, carbon, fuel, css, tdu work fine. games which don't use sli like bioshock 2 and gta4 work as usual too. anyway it seems that metro refuses to work with 18*.** drivers.. because i can't even enter to menu - it crashes in intro (which btw 3d maded imo)

hazardic said...

ok problem solved. it seems it appeared after installing physX 9.10.0222 which is strongly recommended for this game. so i uninstalled PhysX 9.10.0222, then run ccleaner then again installed PhysX 9.10.0222. It appears the PhysX installer removes some entries in the registry while first installation. reinstalling fixes the crash at starup. so that's why i like nvidia now - physX is much better than the lack of it =)

M said...

Excellent news! Glad you were able to sort it out.

-BB

Miguel said...

when i run the updater.bat file it keeps telling me I do not have the correct permissions. windows 7 64-bit m17x with sli 280s. UAC is off and I'm logged in as admin. Any suggestions?

M said...

Miguel, be sure to reboot if you changed UAC permissions. When changing UAC, before the changes are 'set', you have to reboot. ;)

-BB

Post a Comment